# Method: datafeeds.update

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds/update#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds/update#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds/update#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds/update#body.response_body)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds/update#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds/update#try-it)

Updates a datafeed configuration of your Merchant Center account. Any fields that are not provided are deleted from the resource.

### HTTP request

`PUT https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/datafeeds/{datafeedId}`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string` The ID of the account that manages the datafeed. This account cannot be a multi-client account. |
| `datafeedId` | `string` The [ID](https://developers.google.com/shopping-content/v2/reference/v2.1/datafeeds#id) of the datafeed. |

### Request body

The request body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds#Datafeed`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/datafeeds#Datafeed`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).